/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.site.navigation.model;

import aQute.bnd.annotation.ProviderType;

import com.liferay.portal.kernel.annotation.ImplementationClassName;
import com.liferay.portal.kernel.model.PersistedModel;
import com.liferay.portal.kernel.util.Accessor;

/**
 * The extended model interface for the SiteNavigationMenuItem service. Represents a row in the &quot;SiteNavigationMenuItem&quot; database table, with each column mapped to a property of this class.
 *
 * @author Brian Wing Shun Chan
 * @see SiteNavigationMenuItemModel
 * @see com.liferay.site.navigation.model.impl.SiteNavigationMenuItemImpl
 * @see com.liferay.site.navigation.model.impl.SiteNavigationMenuItemModelImpl
 * @generated
 */
@ImplementationClassName("com.liferay.site.navigation.model.impl.SiteNavigationMenuItemImpl")
@ProviderType
public interface SiteNavigationMenuItem extends SiteNavigationMenuItemModel,
	PersistedModel {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify this interface directly. Add methods to {@link com.liferay.site.navigation.model.impl.SiteNavigationMenuItemImpl} and rerun ServiceBuilder to automatically copy the method declarations to this interface.
	 */
	public static final Accessor<SiteNavigationMenuItem, Long> SITE_NAVIGATION_MENU_ITEM_ID_ACCESSOR =
		new Accessor<SiteNavigationMenuItem, Long>() {
			@Override
			public Long get(SiteNavigationMenuItem siteNavigationMenuItem) {
				return siteNavigationMenuItem.getSiteNavigationMenuItemId();
			}

			@Override
			public Class<Long> getAttributeClass() {
				return Long.class;
			}

			@Override
			public Class<SiteNavigationMenuItem> getTypeClass() {
				return SiteNavigationMenuItem.class;
			}
		};
}